EDIT - feature request #9584

specimen page: character data displayed in details section
04/21/2021 11:33 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal

Description

In the specimen page character data is shown as link which points again to the same specimen. This is OK for the specimen tree
view which uses the same code. In the Specimen page, character data should be instead displayed in the details section. This
always should point to the details view of the character data otherwise the character data are never shown.

Actually the character data only displayed in derivate path view!

Suggestion:

Create an extra part for the character data like for media and identification

Related issues:

Related to EDIT - feature request #10058: Further improve specimen page (fact... New
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
Copied to EDIT - bug #10195: Character data should be ordered by character tree New

Associated revisions

Revision 52645dd4 - 12/05/2022 02:30 PM - Katja Luther

ref #9584: show character data in specimen details page

History

#1 - 07/15/2021 06:21 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#2 - 05/12/2022 02:49 PM - Andreas Miiller

- Related to bug #10059: Link for stored under and identification on specimen page does not work correctly added

#3 - 05/12/2022 02:50 PM - Andreas Miuller

- Assignee changed from Andreas Kohlbecker to Katja Luther

#4 - 05/12/2022 02:50 PM - Andreas Miuller

- Related to deleted (bug #10059: Link for stored under and identification on specimen page does not work correctly )

#5 - 05/12/2022 02:50 PM - Andreas Miuller

- Related to feature request #10058: Further improve specimen page (factual data, extensions, added

#6 - 05/12/2022 05:21 PM - Andreas Miuller

- Related to task #8419: Harmonization of the different specimen representations added

#7 - 11/25/2022 09:50 AM - Katja Luther

- Description updated

#8 - 12/05/2022 09:41 AM - Katja Luther

- Description updated
#9 - 12/05/2022 10:25 AM - Katja Luther

- Description updated

#10 - 12/05/2022 11:07 AM - Katja Luther
- File Screenshot 2022-12-05 110556.png added

- Status changed from New to In Progress

Displaying the character data in its own table would look like this:

Preserved Specimen Character Data
Kind of unit  herbarium sheet bract presence  present
Preferred stableuri  https://herbarium.bgbm.org duration  annual
/object/B100145679 growth form  herb
Collection  Herbarium Berolinense at B lamina base shape  amplexicaul
Catalog number B 10 0145679 lamina shape  linear lanceolate

ray size  unequal
shape  petioliform

Identification Media
Bupleurum aequiradiatum (H. Wolff) Snogerup & B.

snogerup in Willdenowia 31: 302. 2001, 2003, Sven
& Britt Snogerup 2003

default.jpg

Licenses: link: Partial images
provided by this server are
released under the Creative
Commaons cc-by-sa 3.0
(generic) licence
[https://creativecommons.org
{licenses/by-sal3.0/de/].
Please credit images to
BGBM following our citation
guidelines
[https:/fww2.bgbm.org

#11 - 12/05/2022 12:11 PM - Andreas Miiller

Norbert, can you have a look on the last commit and give a comment if this is an acceptable layout?
Question from my side: how is the data ordered. Is it according to a character tree or purely alphabetic (currently it looks alphabetic).
#12 - 12/05/2022 12:20 PM - Katja Luther
Actually | use the order used in the dto, need to check how this is created.
Andreas Miiller wrote in #note-11:
Norbert, can you have a look on the last commit and give a comment if this is an acceptable layout?

Question from my side: how is the data ordered. Is it according to a character tree or purely alphabetic (currently it looks alphabetic).

Actually the order is coming from the dto, need to check how this is created.
#13 - 12/05/2022 01:22 PM - Andreas Miiller
NoK:

ja, im Screenshot erscheinen die Characters in alphabetischer Reihenfolge des Character label. Die gewlinschte Ordnung wére die des Character
Tree, wie sie auch fir die Matrix genutzt wird, da die labels nur im Baumkontext eindeutig sind.

Die Darstellung, auch die Seitendarstellung, gehen so m.E. in die richtige Richtung; da die Characters im Character Tree nicht eine einfache Liste
sind, sondern mehrere Hierarchie-Ebenen haben, misste das aber irgendwie noch Beriicksichtigung finden.

#14 - 12/05/2022 02:15 PM - Katja Luther
- File Screenshot 2022-12-05 141404.png added
- File Screenshot 2022-12-05 141456.png added

There are implementations of the aggregated descriptions for the taxon page, but both representations missing informations about the character tree:

When using default feature tree:

Descriptions (aggregated)

Growth form: herb [2]; duration: annual [2]; size: 22-37 cm [6;%=27]; stem quantity. 1 [2] shape: petioliform
[2] branch quantity: 4-6 [4;%=5] bract quantity: 3-5 [5;%=4]; bract presence: ray size: unequal [2]; ray
guantity. 4-7 [4,%=5]; bractlet width as L:W ratio: 2.8 [2]; bractlet shape: lanceolate [2]; bractlet quantity. 5
[2]; bractlet texture: herbaceous [2]; bractlet position relational to flower: exceeding [2]; bractlet venation
quantity: 3 [2]; bractlet venation arrangement: acrodromous [2]; bractlet apex shape: aristate [2]; bractlet
margin shape: hyaline margined [2], entire [2]; bractlet venation structure: flattened [2] [

A single or the first number in square brackets denotes sample size

or when using bupleurum character tree as feature tree:

entire plant

herb [1] annual [1] 17-29 cm [3;%=22] 1 [1]
basal leaves

petioliform [1]

stem

5-8 [2;%=6]

inflorescence architecture

3-5 [3;%=4] present [1] unequal [1] 4-5 [2;%=4] 4.3 [1] 3[1]

#15 - 12/05/2022 02:28 PM - Katja Luther
Actually to have the basic information about the existing character data in the portal | would commit the simple implementation mentioned in note#10
and create a new ticket for an implementation taking into account the whole information of the character tree (for specimen and taxon page)

#16 - 12/05/2022 02:35 PM - Katja Luther
- Related to bug #10195: Character data should be ordered by character tree added

#17 - 12/05/2022 02:36 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Simple display of the character data added, new ticket created (#10195).

Please review this first implementation.

#18 - 12/06/2022 02:35 PM - Andreas Miiller
- Related to deleted (bug #10195: Character data should be ordered by character tree)

#19 - 12/06/2022 02:35 PM - Andreas Miiller
- Copied to bug #10195: Character data should be ordered by character tree added

#20 - 12/14/2022 12:47 PM - Katja Luther

- Target version changed from Release 5.45 to Release 5.35

#21 - 12/16/2022 05:32 PM - Katja Luther

demo2 portals using the develop branch now, so you can test here:
https://ws2.cybertaxonomy.org/dataportal/greece_bupleurum_02/cdm_dataportal/occurrence/d0b39223-12e4-4deb-8f36-60d0ee7{759f

#22 - 12/16/2022 06:28 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 0 to 100

Files

Screenshot 2022-12-05 110556.png 119 KB 12/05/2022 Katja Luther
Screenshot 2022-12-05 141404.png 82.2 KB 12/05/2022 Katja Luther
Screenshot 2022-12-05 141456.png 26.5 KB 12/05/2022 Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/10195
https://ws2.cybertaxonomy.org/dataportal/greece_bupleurum_02/cdm_dataportal/occurrence/d0b39223-12e4-4deb-8f36-60d0ee7f759f
http://www.tcpdf.org

